package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * 充值记录     实体类
 * 2017年3月9日
 * @author muzx
 *
 */
public class MachineRecharge implements Serializable{

    /**
     * 
     */
    private static final long serialVersionUID = -6154195261597199824L;
    private Integer rechargeId;                 //id
    private String rechargeOpenId;              //所属用户
    private Integer rechargeMachineId;          //所属机器
    private Integer rechargeAmount;             //充值金额
    private Date rechargeTime;                  //充值时间
    
    private Integer rechargeWater;              //充值水量
    private Integer rechargeDuration;           //充值时长
    private Integer rechargeState;              //充值状态
    private String rechargeOrderId;             //充值订单号
    private Date rechargePayTime;               //支付时间
    
    private String rechargeWxOrderId;           //微信订单号
    private Integer rechargeMessageState;       //消息下发到机器是否成功
    private Integer rechargeCouponId;			// 抵扣券id
    private Date rechargeEndTime;					//当前记录到期时间
    public Integer getRechargeId() {
        return rechargeId;
    }
    public void setRechargeId(Integer rechargeId) {
        this.rechargeId = rechargeId;
    }
    public String getRechargeOpenId() {
        return rechargeOpenId;
    }
    public void setRechargeOpenId(String rechargeOpenId) {
        this.rechargeOpenId = rechargeOpenId;
    }
    public Integer getRechargeMachineId() {
        return rechargeMachineId;
    }
    public void setRechargeMachineId(Integer rechargeMachineId) {
        this.rechargeMachineId = rechargeMachineId;
    }
    public Date getRechargeTime() {
        return rechargeTime;
    }
    public void setRechargeTime(Date rechargeTime) {
        this.rechargeTime = rechargeTime;
    }
    public Integer getRechargeWater() {
        return rechargeWater;
    }
    public void setRechargeWater(Integer rechargeWater) {
        this.rechargeWater = rechargeWater;
    }
    public Integer getRechargeDuration() {
        return rechargeDuration;
    }
    public void setRechargeDuration(Integer rechargeDuration) {
        this.rechargeDuration = rechargeDuration;
    }
    public Integer getRechargeState() {
        return rechargeState;
    }
    public void setRechargeState(Integer rechargeState) {
        this.rechargeState = rechargeState;
    }
    public Integer getRechargeMessageState() {
        return rechargeMessageState;
    }
    public void setRechargeMessageState(Integer rechargeMessageState) {
        this.rechargeMessageState = rechargeMessageState;
    }
    public String getRechargeOrderId() {
        return rechargeOrderId;
    }
    public void setRechargeOrderId(String rechargeOrderId) {
        this.rechargeOrderId = rechargeOrderId;
    }
    public Date getRechargePayTime() {
        return rechargePayTime;
    }
    public void setRechargePayTime(Date rechargePayTime) {
        this.rechargePayTime = rechargePayTime;
    }
    public String getRechargeWxOrderId() {
        return rechargeWxOrderId;
    }
    public void setRechargeWxOrderId(String rechargeWxOrderId) {
        this.rechargeWxOrderId = rechargeWxOrderId;
    }
    public Integer getRechargeCouponId() {
		return rechargeCouponId;
	}
	public void setRechargeCouponId(Integer rechargeCouponId) {
		this.rechargeCouponId = rechargeCouponId;
	}
	public Integer getRechargeAmount() {
		return rechargeAmount;
	}
	public void setRechargeAmount(Integer rechargeAmount) {
		this.rechargeAmount = rechargeAmount;
	}
	public Date getRechargeEndTime() {
		return rechargeEndTime;
	}
	public void setRechargeEndTime(Date rechargeEndTime) {
		this.rechargeEndTime = rechargeEndTime;
	}

	
}
